Skip to main content
PATCH
/
v1
/
auto_fees
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/auto_fees/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_fee": {
    "name": "Updated Auto Fee",
    "percent_adjustment": 10,
    "rules": {
      "type": "group",
      "combinator": "or",
      "conditions": [
        {
          "type": "condition",
          "attribute_name": "subtotal_amount",
          "operator_label": "is_less_than",
          "comparison_value": "100"
        }
      ]
    }
  }
}
'
import requests

url = "https://{defaultHost}/v1/auto_fees/{id}"

payload = { "auto_fee": {
"name": "Updated Auto Fee",
"percent_adjustment": 10,
"rules": {
"type": "group",
"combinator": "or",
"conditions": [
{
"type": "condition",
"attribute_name": "subtotal_amount",
"operator_label": "is_less_than",
"comparison_value": "100"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_fee: {
name: 'Updated Auto Fee',
percent_adjustment: 10,
rules: {
type: 'group',
combinator: 'or',
conditions: [
{
type: 'condition',
attribute_name: 'subtotal_amount',
operator_label: 'is_less_than',
comparison_value: '100'
}
]
}
}
})
};

fetch('https://{defaultHost}/v1/auto_fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "774384e5-3372-4739-940d-61633886cfe3",
  "object": "auto_fee",
  "enabled": true,
  "amount_adjustment": null,
  "currency": "usd",
  "discount": false,
  "end_at": null,
  "expired": false,
  "fee_target": "line_item",
  "metadata": {},
  "name": "Updated Auto Fee",
  "ongoing": true,
  "percent_adjustment": 10,
  "rules": {
    "type": "group",
    "combinator": "or",
    "conditions": [
      {
        "type": "condition",
        "attribute_name": "subtotal_amount",
        "operator_label": "is_less_than",
        "comparison_value": "100"
      }
    ]
  },
  "start_at": 1782485804,
  "created_at": 1782485804,
  "updated_at": 1782485804
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
auto_fee
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

enabled
boolean

Whether the auto fee is enabled.

amount_adjustment
integer | null

The amount in cents to be added or subtracted from subtotal of applicable checkout

discount
boolean

Whether this auto fee is a discount (subtracted from total) or a fee (added to total).

end_at
integer | null

Time at which the auto fee becomes inactive. Measured in seconds since the Unix epoch.

fee_target
enum<string>

The entity to which this auto fee applies. (This can only be set when the auto fee is created.)

Available options:
checkout,
line_item,
shipping
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

name
string

The name of the auto fee.

percent_adjustment
number<float> | null

The percentage to be added or subtracted from subtotal of applicable checkout.

rules
object

The rules that determine when this auto fee applies

start_at
integer

Time at which the auto fee becomes active. Measured in seconds since the Unix epoch.

currency
string

Three-letter ISO currency code, in lowercase.

expired
boolean

Whether the auto fee has expired.

ongoing
boolean

Whether the auto fee is currently active.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.